<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/RecoilBase/Recoils/Winchester70Recoil.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d6/df6/_winchester70_recoil_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">Winchester70Recoil.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d6/df6/_winchester70_recoil_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../de/df2/class_winchester70_recoil.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../de/df2/class_winchester70_recoil.html">Winchester70Recoil</a>: <a class="code hl_class" href="../../dc/dd0/class_recoil_base.html">RecoilBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../de/df2/class_winchester70_recoil.html#a64348b7bf2e67ffb4ebd2c110b1c3f8d">    3</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/df2/class_winchester70_recoil.html#a64348b7bf2e67ffb4ebd2c110b1c3f8d">Init</a>()</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>        <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> point_1;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>        <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> point_2;</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>        <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> point_3;</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>        <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> point_4;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>        point_1[0] = <a class="code hl_variable" href="../../dc/dd0/class_recoil_base.html#a4b8b66430aeb8351dc99427eed120faf">m_Player</a>.GetRandomGeneratorSyncManager().GetRandomInRange(<a class="code hl_enumeration" href="../../d6/dc5/_random_generator_sync_manager_8c.html#afe3bb26b57097f9a390bb1e8de15d84a">RandomGeneratorSyncUsage</a>.RGSRecoil,0.5,0.75); point_1[1] = 2.25; point_1[2] = 0;</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        point_2[0] = <a class="code hl_variable" href="../../dc/dd0/class_recoil_base.html#a4b8b66430aeb8351dc99427eed120faf">m_Player</a>.GetRandomGeneratorSyncManager().GetRandomInRange(<a class="code hl_enumeration" href="../../d6/dc5/_random_generator_sync_manager_8c.html#afe3bb26b57097f9a390bb1e8de15d84a">RandomGeneratorSyncUsage</a>.RGSRecoil,-0.25,0.25); point_2[1] = 2.5; point_2[2] = 0;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>        point_3[0] = <a class="code hl_variable" href="../../dc/dd0/class_recoil_base.html#a4b8b66430aeb8351dc99427eed120faf">m_Player</a>.GetRandomGeneratorSyncManager().GetRandomInRange(<a class="code hl_enumeration" href="../../d6/dc5/_random_generator_sync_manager_8c.html#afe3bb26b57097f9a390bb1e8de15d84a">RandomGeneratorSyncUsage</a>.RGSRecoil,-0.5,-0.75); point_3[1] = 1.5; point_3[2] = 0;</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>        point_4[0] = <a class="code hl_variable" href="../../dc/dd0/class_recoil_base.html#a4b8b66430aeb8351dc99427eed120faf">m_Player</a>.GetRandomGeneratorSyncManager().GetRandomInRange(<a class="code hl_enumeration" href="../../d6/dc5/_random_generator_sync_manager_8c.html#afe3bb26b57097f9a390bb1e8de15d84a">RandomGeneratorSyncUsage</a>.RGSRecoil,-0.5,-0.1); point_4[1] = 0.75; point_4[2] = 0;</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        <a class="code hl_variable" href="../../dc/dd0/class_recoil_base.html#aec099d51101224a8470b61dc558eb3da">m_HandsCurvePoints</a>.Insert(point_1);<span class="comment">//forms a 2 dimensional spline(z is ignored)</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>        <a class="code hl_variable" href="../../dc/dd0/class_recoil_base.html#aec099d51101224a8470b61dc558eb3da">m_HandsCurvePoints</a>.Insert(point_2);</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        <a class="code hl_variable" href="../../dc/dd0/class_recoil_base.html#aec099d51101224a8470b61dc558eb3da">m_HandsCurvePoints</a>.Insert(point_3);</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        <a class="code hl_variable" href="../../dc/dd0/class_recoil_base.html#aec099d51101224a8470b61dc558eb3da">m_HandsCurvePoints</a>.Insert(point_4);</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        <a class="code hl_variable" href="../../dc/dd0/class_recoil_base.html#aec099d51101224a8470b61dc558eb3da">m_HandsCurvePoints</a>.Insert(<span class="stringliteral">&quot;0 0 0&quot;</span>);</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        <a class="code hl_variable" href="../../dc/dd0/class_recoil_base.html#acb3c1e276f24fdc5704caf5abcd5d5fb">m_HandsOffsetRelativeTime</a> = 0.125;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        <a class="code hl_variable" href="../../dc/dd0/class_recoil_base.html#aef125d4d5d892ad36d88867bbdf105b5">m_MouseOffsetRangeMin</a> = 80;<span class="comment">//in degrees min</span></div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        <a class="code hl_variable" href="../../dc/dd0/class_recoil_base.html#a4c104a2d0dfa044ae58c2e03c7e2cbc0">m_MouseOffsetRangeMax</a> = 100;<span class="comment">//in degrees max</span></div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        <a class="code hl_variable" href="../../dc/dd0/class_recoil_base.html#a28e041e773a7e80b7d2ab41ed12964c0">m_MouseOffsetDistance</a> = 1.25;<span class="comment">//how far should the mouse travel</span></div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        <a class="code hl_variable" href="../../dc/dd0/class_recoil_base.html#ac809a54602c0fc0795e5ea0101b9f60a">m_MouseOffsetRelativeTime</a> = 0.0625;<span class="comment">//[0..1] a time it takes to move the mouse the required distance relative to the reload time of the weapon(firing mode)</span></div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        <a class="code hl_variable" href="../../dc/dd0/class_recoil_base.html#a2398684e2c3806112991933b9e44631b">m_CamOffsetDistance</a> = 0.02;</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        <a class="code hl_variable" href="../../dc/dd0/class_recoil_base.html#a1f6b1312c2756314b189581ae7b86416">m_CamOffsetRelativeTime</a> = 0.125;</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    }</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>}</div>
<div class="ttc" id="a_random_generator_sync_manager_8c_html_afe3bb26b57097f9a390bb1e8de15d84a"><div class="ttname"><a href="../../d6/dc5/_random_generator_sync_manager_8c.html#afe3bb26b57097f9a390bb1e8de15d84a">RandomGeneratorSyncUsage</a></div><div class="ttdeci">RandomGeneratorSyncUsage</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/dc5/_random_generator_sync_manager_8c_source.html#l00001">RandomGeneratorSyncManager.c:2</a></div></div>
<div class="ttc" id="aclass_recoil_base_html"><div class="ttname"><a href="../../dc/dd0/class_recoil_base.html">RecoilBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dda/_recoil_base_8c_source.html#l00001">RecoilBase.c:2</a></div></div>
<div class="ttc" id="aclass_recoil_base_html_a1f6b1312c2756314b189581ae7b86416"><div class="ttname"><a href="../../dc/dd0/class_recoil_base.html#a1f6b1312c2756314b189581ae7b86416">RecoilBase::m_CamOffsetRelativeTime</a></div><div class="ttdeci">float m_CamOffsetRelativeTime</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dda/_recoil_base_8c_source.html#l00017">RecoilBase.c:17</a></div></div>
<div class="ttc" id="aclass_recoil_base_html_a2398684e2c3806112991933b9e44631b"><div class="ttname"><a href="../../dc/dd0/class_recoil_base.html#a2398684e2c3806112991933b9e44631b">RecoilBase::m_CamOffsetDistance</a></div><div class="ttdeci">float m_CamOffsetDistance</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dda/_recoil_base_8c_source.html#l00018">RecoilBase.c:18</a></div></div>
<div class="ttc" id="aclass_recoil_base_html_a28e041e773a7e80b7d2ab41ed12964c0"><div class="ttname"><a href="../../dc/dd0/class_recoil_base.html#a28e041e773a7e80b7d2ab41ed12964c0">RecoilBase::m_MouseOffsetDistance</a></div><div class="ttdeci">float m_MouseOffsetDistance</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dda/_recoil_base_8c_source.html#l00019">RecoilBase.c:19</a></div></div>
<div class="ttc" id="aclass_recoil_base_html_a4b8b66430aeb8351dc99427eed120faf"><div class="ttname"><a href="../../dc/dd0/class_recoil_base.html#a4b8b66430aeb8351dc99427eed120faf">RecoilBase::m_Player</a></div><div class="ttdeci">PlayerBase m_Player</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dda/_recoil_base_8c_source.html#l00006">RecoilBase.c:6</a></div></div>
<div class="ttc" id="aclass_recoil_base_html_a4c104a2d0dfa044ae58c2e03c7e2cbc0"><div class="ttname"><a href="../../dc/dd0/class_recoil_base.html#a4c104a2d0dfa044ae58c2e03c7e2cbc0">RecoilBase::m_MouseOffsetRangeMax</a></div><div class="ttdeci">float m_MouseOffsetRangeMax</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dda/_recoil_base_8c_source.html#l00014">RecoilBase.c:14</a></div></div>
<div class="ttc" id="aclass_recoil_base_html_ac809a54602c0fc0795e5ea0101b9f60a"><div class="ttname"><a href="../../dc/dd0/class_recoil_base.html#ac809a54602c0fc0795e5ea0101b9f60a">RecoilBase::m_MouseOffsetRelativeTime</a></div><div class="ttdeci">float m_MouseOffsetRelativeTime</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dda/_recoil_base_8c_source.html#l00015">RecoilBase.c:15</a></div></div>
<div class="ttc" id="aclass_recoil_base_html_acb3c1e276f24fdc5704caf5abcd5d5fb"><div class="ttname"><a href="../../dc/dd0/class_recoil_base.html#acb3c1e276f24fdc5704caf5abcd5d5fb">RecoilBase::m_HandsOffsetRelativeTime</a></div><div class="ttdeci">float m_HandsOffsetRelativeTime</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dda/_recoil_base_8c_source.html#l00016">RecoilBase.c:16</a></div></div>
<div class="ttc" id="aclass_recoil_base_html_aec099d51101224a8470b61dc558eb3da"><div class="ttname"><a href="../../dc/dd0/class_recoil_base.html#aec099d51101224a8470b61dc558eb3da">RecoilBase::m_HandsCurvePoints</a></div><div class="ttdeci">protected ref array&lt; vector &gt; m_HandsCurvePoints</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dda/_recoil_base_8c_source.html#l00027">RecoilBase.c:27</a></div></div>
<div class="ttc" id="aclass_recoil_base_html_aef125d4d5d892ad36d88867bbdf105b5"><div class="ttname"><a href="../../dc/dd0/class_recoil_base.html#aef125d4d5d892ad36d88867bbdf105b5">RecoilBase::m_MouseOffsetRangeMin</a></div><div class="ttdeci">float m_MouseOffsetRangeMin</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dda/_recoil_base_8c_source.html#l00013">RecoilBase.c:13</a></div></div>
<div class="ttc" id="aclass_winchester70_recoil_html"><div class="ttname"><a href="../../de/df2/class_winchester70_recoil.html">Winchester70Recoil</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/df6/_winchester70_recoil_8c_source.html#l00001">Winchester70Recoil.c:2</a></div></div>
<div class="ttc" id="aclass_winchester70_recoil_html_a64348b7bf2e67ffb4ebd2c110b1c3f8d"><div class="ttname"><a href="../../de/df2/class_winchester70_recoil.html#a64348b7bf2e67ffb4ebd2c110b1c3f8d">Winchester70Recoil::Init</a></div><div class="ttdeci">override void Init()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/df6/_winchester70_recoil_8c_source.html#l00003">Winchester70Recoil.c:3</a></div></div>
<div class="ttc" id="aclassvector_html"><div class="ttname"><a href="../../d7/dfc/classvector.html">vector</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00099">EnConvert.c:100</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_528c77479dcd52c19314a1e17da27418.html">RecoilBase</a></li><li class="navelem"><a class="el" href="../../dir_d1084f5f51803bb3cff6b457efeda3a6.html">Recoils</a></li><li class="navelem"><a class="el" href="../../d6/df6/_winchester70_recoil_8c.html">Winchester70Recoil.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
